# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables

    # Installing the software
    print("Installing: RescueTimeInstaller_X.exe")
    install_exe_if_needed('RescueTimeInstaller_X.exe',
        silentflags='/VERYSILENT /NORESTART /CLOSEAPPLICATIONS /RESTARTAPPLICATIONS',
        key='{2505571C-03B3-4F9F-AC35-33F1CB4B5E9E}_is1',
        min_version=control.get_software_version(),
        get_version=get_version,
        timeout=600,
    )


def get_version(app_registry_dict):
    return app_registry_dict["name"].split(" ")[-1]

    



